"""
Type annotations for greengrass service literal definitions.

[Open documentation](https://youtype.github.io/boto3_stubs_docs/mypy_boto3_greengrass/literals/)

Usage::

    ```python
    from mypy_boto3_greengrass.literals import BulkDeploymentStatusType

    data: BulkDeploymentStatusType = "Completed"
    ```
"""
import sys

if sys.version_info >= (3, 9):
    from typing import Literal
else:
    from typing_extensions import Literal


__all__ = (
    "BulkDeploymentStatusType",
    "ConfigurationSyncStatusType",
    "DeploymentTypeType",
    "EncodingTypeType",
    "FunctionIsolationModeType",
    "ListBulkDeploymentDetailedReportsPaginatorName",
    "ListBulkDeploymentsPaginatorName",
    "ListConnectorDefinitionVersionsPaginatorName",
    "ListConnectorDefinitionsPaginatorName",
    "ListCoreDefinitionVersionsPaginatorName",
    "ListCoreDefinitionsPaginatorName",
    "ListDeploymentsPaginatorName",
    "ListDeviceDefinitionVersionsPaginatorName",
    "ListDeviceDefinitionsPaginatorName",
    "ListFunctionDefinitionVersionsPaginatorName",
    "ListFunctionDefinitionsPaginatorName",
    "ListGroupVersionsPaginatorName",
    "ListGroupsPaginatorName",
    "ListLoggerDefinitionVersionsPaginatorName",
    "ListLoggerDefinitionsPaginatorName",
    "ListResourceDefinitionVersionsPaginatorName",
    "ListResourceDefinitionsPaginatorName",
    "ListSubscriptionDefinitionVersionsPaginatorName",
    "ListSubscriptionDefinitionsPaginatorName",
    "LoggerComponentType",
    "LoggerLevelType",
    "LoggerTypeType",
    "PermissionType",
    "SoftwareToUpdateType",
    "TelemetryType",
    "UpdateAgentLogLevelType",
    "UpdateTargetsArchitectureType",
    "UpdateTargetsOperatingSystemType",
    "GreengrassServiceName",
    "ServiceName",
    "ResourceServiceName",
    "PaginatorName",
    "RegionName",
)


BulkDeploymentStatusType = Literal[
    "Completed", "Failed", "Initializing", "Running", "Stopped", "Stopping"
]
ConfigurationSyncStatusType = Literal["InSync", "OutOfSync"]
DeploymentTypeType = Literal[
    "ForceResetDeployment", "NewDeployment", "Redeployment", "ResetDeployment"
]
EncodingTypeType = Literal["binary", "json"]
FunctionIsolationModeType = Literal["GreengrassContainer", "NoContainer"]
ListBulkDeploymentDetailedReportsPaginatorName = Literal["list_bulk_deployment_detailed_reports"]
ListBulkDeploymentsPaginatorName = Literal["list_bulk_deployments"]
ListConnectorDefinitionVersionsPaginatorName = Literal["list_connector_definition_versions"]
ListConnectorDefinitionsPaginatorName = Literal["list_connector_definitions"]
ListCoreDefinitionVersionsPaginatorName = Literal["list_core_definition_versions"]
ListCoreDefinitionsPaginatorName = Literal["list_core_definitions"]
ListDeploymentsPaginatorName = Literal["list_deployments"]
ListDeviceDefinitionVersionsPaginatorName = Literal["list_device_definition_versions"]
ListDeviceDefinitionsPaginatorName = Literal["list_device_definitions"]
ListFunctionDefinitionVersionsPaginatorName = Literal["list_function_definition_versions"]
ListFunctionDefinitionsPaginatorName = Literal["list_function_definitions"]
ListGroupVersionsPaginatorName = Literal["list_group_versions"]
ListGroupsPaginatorName = Literal["list_groups"]
ListLoggerDefinitionVersionsPaginatorName = Literal["list_logger_definition_versions"]
ListLoggerDefinitionsPaginatorName = Literal["list_logger_definitions"]
ListResourceDefinitionVersionsPaginatorName = Literal["list_resource_definition_versions"]
ListResourceDefinitionsPaginatorName = Literal["list_resource_definitions"]
ListSubscriptionDefinitionVersionsPaginatorName = Literal["list_subscription_definition_versions"]
ListSubscriptionDefinitionsPaginatorName = Literal["list_subscription_definitions"]
LoggerComponentType = Literal["GreengrassSystem", "Lambda"]
LoggerLevelType = Literal["DEBUG", "ERROR", "FATAL", "INFO", "WARN"]
LoggerTypeType = Literal["AWSCloudWatch", "FileSystem"]
PermissionType = Literal["ro", "rw"]
SoftwareToUpdateType = Literal["core", "ota_agent"]
TelemetryType = Literal["Off", "On"]
UpdateAgentLogLevelType = Literal[
    "DEBUG", "ERROR", "FATAL", "INFO", "NONE", "TRACE", "VERBOSE", "WARN"
]
UpdateTargetsArchitectureType = Literal["aarch64", "armv6l", "armv7l", "x86_64"]
UpdateTargetsOperatingSystemType = Literal["amazon_linux", "openwrt", "raspbian", "ubuntu"]
GreengrassServiceName = Literal["greengrass"]
ServiceName = Literal[
    "accessanalyzer",
    "account",
    "acm",
    "acm-pca",
    "alexaforbusiness",
    "amp",
    "amplify",
    "amplifybackend",
    "amplifyuibuilder",
    "apigateway",
    "apigatewaymanagementapi",
    "apigatewayv2",
    "appconfig",
    "appconfigdata",
    "appflow",
    "appintegrations",
    "application-autoscaling",
    "application-insights",
    "applicationcostprofiler",
    "appmesh",
    "apprunner",
    "appstream",
    "appsync",
    "athena",
    "auditmanager",
    "autoscaling",
    "autoscaling-plans",
    "backup",
    "backup-gateway",
    "batch",
    "billingconductor",
    "braket",
    "budgets",
    "ce",
    "chime",
    "chime-sdk-identity",
    "chime-sdk-media-pipelines",
    "chime-sdk-meetings",
    "chime-sdk-messaging",
    "cloud9",
    "cloudcontrol",
    "clouddirectory",
    "cloudformation",
    "cloudfront",
    "cloudhsm",
    "cloudhsmv2",
    "cloudsearch",
    "cloudsearchdomain",
    "cloudtrail",
    "cloudwatch",
    "codeartifact",
    "codebuild",
    "codecommit",
    "codedeploy",
    "codeguru-reviewer",
    "codeguruprofiler",
    "codepipeline",
    "codestar",
    "codestar-connections",
    "codestar-notifications",
    "cognito-identity",
    "cognito-idp",
    "cognito-sync",
    "comprehend",
    "comprehendmedical",
    "compute-optimizer",
    "config",
    "connect",
    "connect-contact-lens",
    "connectparticipant",
    "cur",
    "customer-profiles",
    "databrew",
    "dataexchange",
    "datapipeline",
    "datasync",
    "dax",
    "detective",
    "devicefarm",
    "devops-guru",
    "directconnect",
    "discovery",
    "dlm",
    "dms",
    "docdb",
    "drs",
    "ds",
    "dynamodb",
    "dynamodbstreams",
    "ebs",
    "ec2",
    "ec2-instance-connect",
    "ecr",
    "ecr-public",
    "ecs",
    "efs",
    "eks",
    "elastic-inference",
    "elasticache",
    "elasticbeanstalk",
    "elastictranscoder",
    "elb",
    "elbv2",
    "emr",
    "emr-containers",
    "emr-serverless",
    "es",
    "events",
    "evidently",
    "finspace",
    "finspace-data",
    "firehose",
    "fis",
    "fms",
    "forecast",
    "forecastquery",
    "frauddetector",
    "fsx",
    "gamelift",
    "gamesparks",
    "glacier",
    "globalaccelerator",
    "glue",
    "grafana",
    "greengrass",
    "greengrassv2",
    "groundstation",
    "guardduty",
    "health",
    "healthlake",
    "honeycode",
    "iam",
    "identitystore",
    "imagebuilder",
    "importexport",
    "inspector",
    "inspector2",
    "iot",
    "iot-data",
    "iot-jobs-data",
    "iot1click-devices",
    "iot1click-projects",
    "iotanalytics",
    "iotdeviceadvisor",
    "iotevents",
    "iotevents-data",
    "iotfleethub",
    "iotsecuretunneling",
    "iotsitewise",
    "iotthingsgraph",
    "iottwinmaker",
    "iotwireless",
    "ivs",
    "ivschat",
    "kafka",
    "kafkaconnect",
    "kendra",
    "keyspaces",
    "kinesis",
    "kinesis-video-archived-media",
    "kinesis-video-media",
    "kinesis-video-signaling",
    "kinesisanalytics",
    "kinesisanalyticsv2",
    "kinesisvideo",
    "kms",
    "lakeformation",
    "lambda",
    "lex-models",
    "lex-runtime",
    "lexv2-models",
    "lexv2-runtime",
    "license-manager",
    "lightsail",
    "location",
    "logs",
    "lookoutequipment",
    "lookoutmetrics",
    "lookoutvision",
    "machinelearning",
    "macie",
    "macie2",
    "managedblockchain",
    "marketplace-catalog",
    "marketplace-entitlement",
    "marketplacecommerceanalytics",
    "mediaconnect",
    "mediaconvert",
    "medialive",
    "mediapackage",
    "mediapackage-vod",
    "mediastore",
    "mediastore-data",
    "mediatailor",
    "memorydb",
    "meteringmarketplace",
    "mgh",
    "mgn",
    "migration-hub-refactor-spaces",
    "migrationhub-config",
    "migrationhubstrategy",
    "mobile",
    "mq",
    "mturk",
    "mwaa",
    "neptune",
    "network-firewall",
    "networkmanager",
    "nimble",
    "opensearch",
    "opsworks",
    "opsworkscm",
    "organizations",
    "outposts",
    "panorama",
    "personalize",
    "personalize-events",
    "personalize-runtime",
    "pi",
    "pinpoint",
    "pinpoint-email",
    "pinpoint-sms-voice",
    "pinpoint-sms-voice-v2",
    "polly",
    "pricing",
    "proton",
    "qldb",
    "qldb-session",
    "quicksight",
    "ram",
    "rbin",
    "rds",
    "rds-data",
    "redshift",
    "redshift-data",
    "rekognition",
    "resiliencehub",
    "resource-groups",
    "resourcegroupstaggingapi",
    "robomaker",
    "route53",
    "route53-recovery-cluster",
    "route53-recovery-control-config",
    "route53-recovery-readiness",
    "route53domains",
    "route53resolver",
    "rum",
    "s3",
    "s3control",
    "s3outposts",
    "sagemaker",
    "sagemaker-a2i-runtime",
    "sagemaker-edge",
    "sagemaker-featurestore-runtime",
    "sagemaker-runtime",
    "savingsplans",
    "schemas",
    "sdb",
    "secretsmanager",
    "securityhub",
    "serverlessrepo",
    "service-quotas",
    "servicecatalog",
    "servicecatalog-appregistry",
    "servicediscovery",
    "ses",
    "sesv2",
    "shield",
    "signer",
    "sms",
    "sms-voice",
    "snow-device-management",
    "snowball",
    "sns",
    "sqs",
    "ssm",
    "ssm-contacts",
    "ssm-incidents",
    "sso",
    "sso-admin",
    "sso-oidc",
    "stepfunctions",
    "storagegateway",
    "sts",
    "support",
    "swf",
    "synthetics",
    "textract",
    "timestream-query",
    "timestream-write",
    "transcribe",
    "transfer",
    "translate",
    "voice-id",
    "waf",
    "waf-regional",
    "wafv2",
    "wellarchitected",
    "wisdom",
    "workdocs",
    "worklink",
    "workmail",
    "workmailmessageflow",
    "workspaces",
    "workspaces-web",
    "xray",
]
ResourceServiceName = Literal[
    "cloudformation",
    "cloudwatch",
    "dynamodb",
    "ec2",
    "glacier",
    "iam",
    "opsworks",
    "s3",
    "sns",
    "sqs",
]
PaginatorName = Literal[
    "list_bulk_deployment_detailed_reports",
    "list_bulk_deployments",
    "list_connector_definition_versions",
    "list_connector_definitions",
    "list_core_definition_versions",
    "list_core_definitions",
    "list_deployments",
    "list_device_definition_versions",
    "list_device_definitions",
    "list_function_definition_versions",
    "list_function_definitions",
    "list_group_versions",
    "list_groups",
    "list_logger_definition_versions",
    "list_logger_definitions",
    "list_resource_definition_versions",
    "list_resource_definitions",
    "list_subscription_definition_versions",
    "list_subscription_definitions",
]
RegionName = Literal[
    "ap-northeast-1",
    "ap-northeast-2",
    "ap-south-1",
    "ap-southeast-1",
    "ap-southeast-2",
    "ca-central-1",
    "eu-central-1",
    "eu-west-1",
    "eu-west-2",
    "us-east-1",
    "us-east-2",
    "us-west-2",
]
